<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="paciente">
        <h2 class="jh-entity-heading" data-cy="pacienteDetailsHeading">
          <span v-text="$t('gatewayApp.pacientesPaciente.detail.title')">Paciente</span> {{ paciente.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.nombre')">Nombre</span>
          </dt>
          <dd>
            <span>{{ paciente.nombre }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.tipoIdentificacion')">Tipo Identificacion</span>
          </dt>
          <dd>
            <span v-text="$t('gatewayApp.Identificaciont.' + paciente.tipoIdentificacion)">{{ paciente.tipoIdentificacion }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.identificacion')">Identificacion</span>
          </dt>
          <dd>
            <span>{{ paciente.identificacion }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.edad')">Edad</span>
          </dt>
          <dd>
            <span>{{ paciente.edad }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.sexo')">Sexo</span>
          </dt>
          <dd>
            <span v-text="$t('gatewayApp.Sexop.' + paciente.sexo)">{{ paciente.sexo }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.telefono')">Telefono</span>
          </dt>
          <dd>
            <span>{{ paciente.telefono }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.direccion')">Direccion</span>
          </dt>
          <dd>
            <span>{{ paciente.direccion }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.pesoKG')">Peso KG</span>
          </dt>
          <dd>
            <span>{{ paciente.pesoKG }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.estaturaCM')">Estatura CM</span>
          </dt>
          <dd>
            <span>{{ paciente.estaturaCM }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.grupoEtnico')">Grupo Etnico</span>
          </dt>
          <dd>
            <span v-text="$t('gatewayApp.Grupoetnicop.' + paciente.grupoEtnico)">{{ paciente.grupoEtnico }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.estratoSocioeconomico')">Estrato Socioeconomico</span>
          </dt>
          <dd>
            <span v-text="$t('gatewayApp.Estratop.' + paciente.estratoSocioeconomico)">{{ paciente.estratoSocioeconomico }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.oximetriaReferencia')">Oximetria Referencia</span>
          </dt>
          <dd>
            <span>{{ paciente.oximetriaReferencia }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.ritmoCardiacoReferencia')">Ritmo Cardiaco Referencia</span>
          </dt>
          <dd>
            <span>{{ paciente.ritmoCardiacoReferencia }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.presionSistolicaReferencia')">Presion Sistolica Referencia</span>
          </dt>
          <dd>
            <span>{{ paciente.presionSistolicaReferencia }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.presionDistolicaReferencia')">Presion Distolica Referencia</span>
          </dt>
          <dd>
            <span>{{ paciente.presionDistolicaReferencia }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.comentarios')">Comentarios</span>
          </dt>
          <dd>
            <span>{{ paciente.comentarios }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.pasosReferencia')">Pasos Referencia</span>
          </dt>
          <dd>
            <span>{{ paciente.pasosReferencia }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.caloriasReferencia')">Calorias Referencia</span>
          </dt>
          <dd>
            <span>{{ paciente.caloriasReferencia }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.metaReferencia')">Meta Referencia</span>
          </dt>
          <dd>
            <span>{{ paciente.metaReferencia }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.user')">User</span>
          </dt>
          <dd>
            {{ paciente.user ? paciente.user.login : '' }}
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.ciudad')">Ciudad</span>
          </dt>
          <dd>
            <div v-if="paciente.ciudad">
              <router-link :to="{ name: 'CiudadView', params: { ciudadId: paciente.ciudad.id } }">{{ paciente.ciudad.ciudad }}</router-link>
            </div>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.condicion')">Condicion</span>
          </dt>
          <dd>
            <div v-if="paciente.condicion">
              <router-link :to="{ name: 'CondicionView', params: { condicionId: paciente.condicion.id } }">{{
                paciente.condicion.id
              }}</router-link>
            </div>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.ips')">Ips</span>
          </dt>
          <dd>
            <div v-if="paciente.ips">
              <router-link :to="{ name: 'IPSView', params: { iPSId: paciente.ips.id } }">{{ paciente.ips.nombre }}</router-link>
            </div>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.tratamiento')">Tratamiento</span>
          </dt>
          <dd>
            <div v-if="paciente.tratamiento">
              <router-link :to="{ name: 'TratamientoView', params: { tratamientoId: paciente.tratamiento.id } }">{{
                paciente.tratamiento.descripcionTratamiento
              }}</router-link>
            </div>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPaciente.farmaceutica')">Farmaceutica</span>
          </dt>
          <dd>
            <div v-if="paciente.farmaceutica">
              <router-link :to="{ name: 'FarmaceuticaView', params: { farmaceuticaId: paciente.farmaceutica.id } }">{{
                paciente.farmaceutica.nombre
              }}</router-link>
            </div>
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link v-if="paciente.id" :to="{ name: 'PacienteEdit', params: { pacienteId: paciente.id } }" custom v-slot="{ navigate }">
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./paciente-details.component.ts"></script>
